Range-v3 Range algorithms, views, and actions for the Standard Library |

Public Member Functions | List of all members
ranges::v3::count_fn Struct Reference
Algorithms

## Public Member Functions
template<typename I , typename S , typename V , typename P = ident, requires = (InputIterator<I>() && Sentinel<S, I>() && IndirectRelation<equal_to, projected<I, P>, V const *>())>
difference_type_t< I > | operator() (I begin, S end, V const &val, P proj=P{}) const
template<typename Rng , typename V , typename P = ident, typename I = iterator_t<Rng>, requires = (InputRange<Rng>() && IndirectRelation<equal_to, projected<I, P>, V const *>())>
difference_type_t< I > | operator() (Rng &&rng, V const &val, P proj=P{}) const